Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class ASN1Null

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ASN1Primitive
              org.bouncycastle.asn1.ASN1Null

All Implemented Interfaces:
  ASN1Encodable, Encodable

Direct Known Subclasses:
  DERNull

public abstract class ASN1Null
extends ASN1Primitive

A NULL object - use DERNull.INSTANCE for populating structures.

Method Summary
`static ASN1Null` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`static ASN1Null` | `getInstance(java.lang.Object o)` Return an instance of ASN.1 NULL from the passed in object.
`static ASN1Null` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Primitive
`encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`getEncoded, getEncoded, hasEncodedTagValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static ASN1Null getInstance(java.lang.Object o)

  Return an instance of ASN.1 NULL from the passed in object.

  Accepted inputs: null → null `ASN1Null` object a byte[] containing ASN.1 NULL object

  Parameters:
    `o` - object to be converted.
  Returns:
    an instance of ASN1Null, or null.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static ASN1Null getInstance(ASN1TaggedObject taggedObject,
                                       boolean declaredExplicit)

### getTagged

    public static ASN1Null getTagged(ASN1TaggedObject taggedObject,
                                     boolean declaredExplicit)

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ASN1Primitive`

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD